SDL_GetSensorTypeForID(3)

NAME
SDL_GetSensorTypeForID - Get the type of a sensor.

SYNOPSIS
#include <SDL3/SDL_sensor.h>

SDL_SensorType SDL_GetSensorTypeForID(SDL_SensorID instance_id);

DESCRIPTION
This can be called before any sensors are opened.

FUNCTION PARAMETERS

instance_id
    the sensor instance ID.

RETURN VALUE
Returns the SDL_SensorType, or SDL_SENSOR_INVALID if instance_id is not valid.

AVAILABILITY
This function is available since SDL 3.2.0.